<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vote.system.mapper.VoteEventRegistrationWorkScoresMapper">

    <resultMap id="BaseResultMap" type="com.vote.system.domain.VoteEventRegistrationWorkScores">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="eventId" column="event_id" jdbcType="BIGINT"/>
        <result property="workSettingsId" column="work_settings_id" jdbcType="BIGINT"/>
        <result property="submissionId" column="submission_id" jdbcType="BIGINT"/>
        <result property="roundId" column="round_id" jdbcType="BIGINT"/>
        <result property="judgeId" column="judge_id" jdbcType="BIGINT"/>
        <result property="score" column="score" jdbcType="DECIMAL"/>
        <result property="comments" column="comments" jdbcType="VARCHAR"/>
        <result property="createdAt" column="created_at" jdbcType="TIMESTAMP"/>
        <result property="updatedAt" column="updated_at" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,event_id,work_settings_id,
        submission_id,judge_id,score,
        comments,created_at,updated_at
    </sql>
</mapper>
